# Uses of Interface
org.eclipse.swt.events.TreeListener

Packages that use TreeListener
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of TreeListener in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type TreeListener
Modifier and Type
Method
Description
`protected abstract void`
AbstractTreeViewer.`addTreeListener(Control control, TreeListener listener)`
Adds the given SWT tree listener to the given SWT control.
`protected void`
TreeViewer.`addTreeListener(Control c, TreeListener listener)`

## Uses of TreeListener in org.eclipse.swt.events

Classes in org.eclipse.swt.events that implement TreeListener
Modifier and Type
Class
Description
`class`
`TreeAdapter`
This adapter class provides default implementations for the methods described by the `TreeListener` interface.
Methods in org.eclipse.swt.events that return TreeListener
Modifier and Type
Method
Description
`static TreeListener`
TreeListener.`treeCollapsedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `TreeListener.treeCollapsed(TreeEvent e)`) method, given a lambda expression or a method reference.
`static TreeListener`
TreeListener.`treeExpandedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `TreeListener.treeExpanded(TreeEvent e)`) method, given a lambda expression or a method reference.

## Uses of TreeListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type TreeListener
Modifier and Type
Method
Description
`void`
Tree.`addTreeListener(TreeListener listener)`
Adds the listener to the collection of listeners who will be notified when an item in the receiver is expanded or collapsed by sending it one of the messages defined in the `TreeListener` interface.
`void`
Tree.`removeTreeListener(TreeListener listener)`
Removes the listener from the collection of listeners who will be notified when items in the receiver are expanded or collapsed.